package org.takiguchi.cerberus.cerberusapp.service.servicemanager;

import org.springframework.stereotype.Service;
import org.takiguchi.cerberus.cerberusapp.model.Application;
import org.takiguchi.cerberus.cerberusapp.model.ServiceStatus;

@Service
public class DockerServiceManager implements ServiceManager {
    @Override
    public ServiceStatus getStatus(Application application) {
        throw new IllegalStateException("DockerServiceManager#getStatus not implemented.");
    }

    @Override
    public void start(Application application) {
        throw new IllegalStateException("DockerServiceManager#start not implemented.");
    }

    @Override
    public void stop(Application application) {
        throw new IllegalStateException("DockerServiceManager#stop not implemented.");
    }

    @Override
    public void restart(Application application) {
        throw new IllegalStateException("DockerServiceManager#restart not implemented.");
    }
}
